# Get Avatar Look

## cURL

```bash
curl --request GET \
  --url https://api.heygen.com/v3/avatars/looks/{look_id} \
  --header 'x-api-key: <api-key>'
```

### HTTP Status Codes

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **404**: Not Found
- **429**: Too Many Requests

### Response Example

```json
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "avatar_type": "studio_avatar",
    "group_id": "ag_abc123",
    "preview_image_url": "https://files.heygen.ai/look/business_preview.jpg",
    "preview_video_url": "https://files.heygen.ai/look/business_preview.mp4",
    "gender": "female",
    "tags": [
      "<string>"
    ],
    "default_voice_id": "1bd001e7e50f421d891986aad5c8bbd2",
    "supported_api_engines": [
      "<string>"
    ],
    "image_width": 1920,
    "image_height": 1080,
    "preferred_orientation": "portrait",
    "status": "completed",
    "error": {
      "code": "<string>",
      "message": "<string>"
    }
  }
}
```

## Authorizations

- **ApiKeyAuth**: `x-api-key` (string, header, required)  
  HeyGen API key. Obtain from your HeyGen dashboard.

### Path Parameters

- **look_id** (string, required): Unique avatar look identifier. This is the value to pass as avatar_id to POST /v3/videos.

### Response

- **200**: Application/json
  - Successful response contains a single avatar look in the list response. The `id` field is the look-level identifier to pass as `avatar_id` to POST /v3/videos.
